drill-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DRILL-5876) Remove netty-tcnative inclusion in java-exec/pom.xml
Date Fri, 20 Oct 2017 21:09:00 GMT

    [ https://issues.apache.org/jira/browse/DRILL-5876?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16213243#comment-16213243
] 

ASF GitHub Bot commented on DRILL-5876:
---------------------------------------

Github user vrozov commented on the issue:

    https://github.com/apache/drill/pull/991
  
    @parthchandra open PR #1004 


> Remove netty-tcnative inclusion in java-exec/pom.xml
> ----------------------------------------------------
>
>                 Key: DRILL-5876
>                 URL: https://issues.apache.org/jira/browse/DRILL-5876
>             Project: Apache Drill
>          Issue Type: Bug
>            Reporter: Parth Chandra
>            Assignee: Vlad Rozov
>            Priority: Minor
>
> The inclusion of netty-tcnative is causing all kinds of problems. The os specific classifier
 required is determined by a maven extension which in turn requires an additional eclipse
plugin. The eclipse plugin has a problem that may corrupt the current workspace.
> It is safe to not include the dependency since it is required only at runtime. The only
case in which this is required is when a developer has to debug SSL/OpenSSL issues in the
Java client or the server when launching from within an IDE. In this case, the dependency
can be enabled by uncommenting the relevant lines in the pom file.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message